
html body.navbar-sticky .app-content .content-wrapper {
  padding: 2rem 1rem 1rem 0rem !important;
  margin-top: 2rem !important;
}

html body .content  {
  margin-left: 250px;
}
.title_div {
  display: flex;
  justify-content: space-between;
}

.grid-stack-item-content {
  /* color: #2c3e50; */
  display: flex;
  align-items: center;
  text-align: center;
  background-color: var(--light-light);
  
}

#widgetTypeList {
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-wrap: wrap;
}

#close:hover {
  cursor: pointer;
}

.widgetType {
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
  margin: 3px;
  border: 1px solid;
  box-shadow: 1px 1px 7px black;
  width: 30%;
  height: 175px;
}

.widgetType:hover {
  box-shadow: none;
}

.carousel-control-next-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23009be1' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E");
  width: 30px;
  height: 48px;
}

.select2-selection__rendered {
  max-height: 80px !important;
  overflow-y: auto !important;
}

.deleteBranch {
  cursor: pointer;
  color: red;
}

#branchesList {
  margin-top: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  max-height: 115px;
  max-width: 350px;
  overflow-y: auto;
}

.branchItem {
  background-color: #3f3f3f;
  padding: 2px;
  border-radius: 5px;
  width: 30%;
  margin: 5px;
  display: flex;
  justify-content: space-between;
  max-height: 30px;
}

.branchItem p {
  font-size: 11px;
}

#btnChooseBranches,
#btnAddSeries {
  color: #a1c523;
  font-size: 25px;
  cursor: pointer;
}

.img-icon-barChart {
  margin: auto;
  width: 8rem;
  height: 8rem;
  background: url(/assets/admin/img/dashboard/bar_chart.png);
  background-repeat: no-repeat;
  background-size: 8rem;
}

.img-icon-mixedChart {
  margin: auto;
  width: 8rem;
  height: 8rem;
  background: url(/assets/admin/img/dashboard/mixed_chart.png);
  background-repeat: no-repeat;
  background-size: 8rem;
}

.img-icon-pieChart {
  margin: auto;
  width: 8rem;
  height: 8rem;
  background: url(/assets/admin/img/dashboard/pie_chart.png);
  background-repeat: no-repeat;
  background-size: 8rem;
}

.img-icon-tableChart {
  margin: auto;
  width: 8rem;
  height: 8rem;
  background: url(/assets/admin/img/dashboard/table_chart.png);
  background-repeat: no-repeat;
  background-size: 8rem;
}

.img-icon-titeChart {
  margin: auto;
  width: 8rem;
  height: 8rem;
  background: url(/assets/admin/img/dashboard/title_chart.png);
  background-repeat: no-repeat;
  background-size: 8rem;
}

.seriesItem {
  padding: 0 30px;
  background-color: var(--bgColor);
  border: 1px solid;
  margin: 4px;
  text-align: center;

}

.seriesItem div .deleteSeries {
  color: red;
  cursor: pointer;
}

.editSeries {
  color: greenyellow;
  cursor: pointer;
}

body.dark-layout .dropdown-menu {
  border: none;
}
#btnSettings {
  cursor: pointer;
  font-size: 28px;
  margin-top: -4px;
  /* margin-left: 5px; */
  /* margin-right: 12px; */
  color: #a5c939;
}

.editWidget,
.edit_color {
  cursor: pointer;
  color: #6e8192 !important;

}

.deleteWidget,
.delete_color {
  cursor: pointer;
  color: #ff4243 !important;
}

#seriesList {
  overflow: auto;
  height: 120px;
}

#deleteTemplet,
#btnEditTemplet {
  cursor: pointer;
  font-size: 11px;
  color: var(--fontColor) !important;
}

#deleteTemplet:hover,
#btnEditTemplet:hover {
  color: #A1C523 !important;
}

#cencelEditingMode {
  color: red;
  font-size: 18px;
  padding: 1px;
  position: relative;
  top: 2px;
  right: 18px;
  cursor: pointer;
}

.widgetControle {
  color: #a5c939;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 0 5px;
  align-items: center;
}

#widgetText {
  height: 40px;
}

#widgetTitle {
  border-radius: 4px;
}

.label_count {
  width: auto;
  color: #a1c523;
  font-size: 18px;
  margin: 0px;

}

.label-title {
  font-size: 12px;
  margin: 0px;
}
.widgetContainer_text {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: -webkit-fill-available;
  padding: 5px;
}
.widgetContainer_label {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: -webkit-fill-available;
  padding: 5px;
  /* justify-content: space-around; */
  /* align-content: center; */
}
.widgetContainer {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: -webkit-fill-available;
  /* justify-content: space-around; */
  /* align-content: center; */
}

.check-boxes {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.prevent-select {
  user-select: none;
  cursor: pointer;
}

.series-div {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  padding: 0px 10px;
}

#dashboardPanel {
  background-color: var(--light-light);
  padding: 2px;
  display: flex;
  height: fit-content;
  justify-content: space-between;
  margin-right: 5px;
  border-radius: 4px;
}

.selectDateFilter {
display: flex;
}

#dateFilteContainer {
  justify-content: space-between;
  margin: 0px 5px;
}

.select_template {
  width: 160px;
  padding: 1px 10px 0px 0px;

}
.custom_date_input {
  width: 170px !important;
}
.chartLabelBox {
  padding: 8px 10px 0px 5px;
}
#isChartNumbers {
  position: relative;
  top: 2px;
  cursor: pointer;
}
.text_title {
  /* text-align: initial; */
  padding: 5px 5px;
  font-size: 12px;
  margin: 0px;
  color: #a5c939;
}

.dashboard_filter {
  display: flex;
  margin-bottom: 10px !important;
  justify-content: space-between;
}

.time_period_label {
 padding: 0 5px;
  text-align: initial;
  color: #a5c939 !important;
  font-size: 10px;
  margin: 0px;
}

@media screen and (min-width: 300px) and (max-width: 479px) {
  .widgetType {
    width: 60% !important;
  }

  ._controls {
    width: 78px !important;
    font-size: 9px !important;
    height: 30px !important;
  margin-left: 5px !important;

  }

  ._controls1 {
    width: 73px !important;
    padding: 8px 0px 0px 0px !important;
    margin-left: 5px !important;
    height: 30px !important;
  }

  ._controls2 {
    height: 30px !important;
  margin-left: 0px !important;

  }

  ._controls3 {
    height: 30px !important;

  }

  .bi-gear {
    cursor: pointer !important;
    margin-left: 10px !important;
    margin-right: 10px !important;
}
  .arrange-text {
    font-size: 9px !important;
    text-align: center !important;
  }

  .btn_add_wedgit {
    margin: 0px 3px !important;
  }


  #dashboardPanel {
    margin-right: 0px !important;
    font-size: 9px !important;
    /* width: 100% !important; */
    margin-bottom: 7px !important;
    justify-content: start !important;
    border-radius: 4px;

  }

  .dashboard_filter {
    flex-direction: column !important;
    justify-content: normal !important;

  }

  .select_template {
    width: 158px !important;
    padding: 0px 17px 0px 0px;

  }

  .select2-container--default .select2-selection--single .select2-selection__arrow {
    top: -3px !important;
  }

  .select2-container--classic .select2-selection--single,
  .select2-container--default .select2-selection--single {
    min-height: 27px !important;
    padding: 1px !important;
  }

  .select2-container span {
    font-size: 10px !important;
  }
}

@media screen and (min-width: 480px) and (max-width: 649px) {
  .widgetType {
    width: 60% !important;
  }

  ._controls {
    /* width: 78px !important; */
    font-size: 9px !important;
    height: 30px !important;
  margin-left: 5px !important;

  }

  ._controls1 {
    width: 73px !important;
    padding: 8px 0px 0px 0px !important;
    margin-left: 5px !important;
    height: 30px !important;
  }

  ._controls2 {
    height: 30px !important;
  margin-left: 0px !important;

  }

  .bi-gear {
    cursor: pointer !important;
    margin-left: 10px !important;
    margin-right: 10px !important;
}
  .arrange-text {
    font-size: 9px !important;
    text-align: center !important;
  }

  .btn_add_wedgit {
    margin: 0px 3px !important;
  }

  #dashboardPanel {
    margin-right: 0px !important;
    font-size: 9px !important;
    /* width: 100% !important; */
    margin-bottom: 7px !important;
    justify-content: start !important;
    border-radius: 4px;

  }

  .dashboard_filter {
    flex-direction: column !important;
    justify-content: normal !important;

  }

  .select_template {
    width: 158px !important;
    padding: 0px 17px 0px 0px;

  }

  .select2-container--default .select2-selection--single .select2-selection__arrow {
    top: -3px !important;
  }

  .select2-container--classic .select2-selection--single,
  .select2-container--default .select2-selection--single {
    min-height: 27px !important;
    padding: 1px !important;
  }

  .select2-container span {
    font-size: 10px !important;
  }
}




#seriesListContainer {
  margin: 5px;
  border: 1px solid;
}

#templetsList {
  padding: 5px;
  width: 230px;
  border: none;
  margin-left: 10px;
  outline: none;
}



.grid-stack>.grid-stack-item>.grid-stack-item-content {
  overflow-y: hidden !important;
  border-radius: 6px !important;
}

.widgetFilteritem {
  width: 10px;
  margin-right: 5px;
}

#editModePanel {
  display: flex;
}

.btn_add_wedgit {
  margin: 0px 5px;
}

._controls {
  /* width: 147px; */
  border-radius: 3px;
  padding-top: 8px;
  text-align: center;
  font-size: 12px;
  margin-left: 5px;
  height: 35px;
  cursor: pointer;
}
._controls_selectBranch {
  width: 127px;
  border-radius: 3px;
  padding-top: 8px;
  text-align: center;
  font-size: 12px;
  margin-left: 5px;
  height: 35px;
  cursor: pointer;
}
._controls_add {
  width: 111px;
  border-radius: 3px;
  padding: 8px 5px 0px 0px;
    text-align: center;
  font-size: 12px;
  margin-left: 5px;
  height: 35px;
  cursor: pointer;
}
._controls_date {
  width: 100px;
  border-radius: 3px;
  padding-top: 8px;
  text-align: center;
  font-size: 12px;
  margin-left: 5px;
  height: 35px;
  cursor: pointer;
}
._controls1 {
  width: 70px;
  border-radius: 3px;
  padding: 8px 0px 0px 0px;
  margin-left: 5px;
  height: 34px;
  cursor: pointer;
}

._controls2 {
  width: 70px;
  border-radius: 3px;
  padding: 8px 0px 0px 0px;
  margin-left: 5px;
  height: 34px;
  cursor: pointer;
  text-align: center;
}
body.dark-layout .select2-container .select2-dropdown {
  width: 87px !important;
  min-width: 150px !important;
}
input[type="date"], input[type="time"], input[type="datetime-local"], input[type="month"] {
  width: 106px ;
  border: antiquewhite;
  border-radius: 2px;
  background-color: #ededed;
}
._controls_back {
  width: 90px;
  border-radius: 3px;
  padding: 6px 0px 0px 0px;
  margin-left: 5px;
  height: 34px;
  cursor: pointer;
  text-align: center;
}
._controls_save_next {
  border-radius: 3px;
  padding: 7px 5px 0px 14px;
  margin-left: 5px;
  height: 34px;
  cursor: pointer;
}

._controls3 {
    background-color: #a1c523;
    border-radius: 3px;
    padding: 8px 15px 0px 10px;
    margin-left: 5px;
    height: 34px;
    cursor: pointer;
}

#btnSaveEditMode {
  /* margin-top: 3px; */
  width: 70px;
}
.autoMargin {
  margin-right: auto;
}
._controls4 {
  width: 80px;
  border-radius: 3px;
  padding: 5px;
  text-align: center;
  cursor: pointer;
}

.backWidgetType {
  padding-right: 20px;
}

.arrange-text {
  cursor: pointer;
    font-size: 12px;
    display: flex;
    justify-content: center;
}

body.dark-layout .dropdown-menu:before {
  left: 8.8rem !important;

}

.addwedgit-text {
  color: white !important;
  cursor: pointer;
}

.widgetContainer_pie {
  width: 100%;
  height: -webkit-fill-available;
  align-content: center;
}

.label_pie_header {
  text-align: initial;
  padding: 5px 0px 0px 13px;
  margin: 0px;
  font-size: 1rem;
}

.widgetControle_label {
  color: #a5c939;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  /* width: 50px; */
}

.img_div {
  height: fit-content;
}

.content_pie_div {
  padding-right: 10px;
  display:flex;
  justify-content:space-between;
}

.content_mixed_div {
  display: flex;
  padding: 5px;
  margin-top: 5px;
  justify-content: space-between;
}

.label_data_div {
  height: 48px;
}

.label_data_div p {
  margin: 0px;
  font-size: 0.7rem;
  width: max-content;

}

.widgetPanel {
  display: none;
}

.widget_period{
  /* border-top: 1px solid var(--fontColor); */
  padding-left: 5px;
}

.box {
  display: flex;
  padding: 0px 5px;
  width: 100%;
  height: fit-content;
}

.box .details {
  transform: scale(0.8) translate(-23px, -13px);
}

.bi-gear {
  cursor: pointer;
  margin-left: 10px;
}

.btn-group {
  user-select: none;
}

.filterList {
  z-index: 10000;
  background: var(--bgColor);
  width: 200px;
  max-height: 233px;
  overflow-y: auto;
  position: absolute;
  top: 26px;

  right: 0px;
  user-select: none;
}
.filterDateList {
  z-index: 10000;
  background: var(--bgColor);
  width: 150px;
  max-height: 233px;
  overflow-y: auto;
  position: absolute;
  top: 26px;
  right: 206px;
  user-select: none;
}
.collapsible {
  width: 100%;
  background-color: gray;
  border: none;
  color: white;
  margin: 5px 0;
}

table,
th,
td {
  border: 1px solid black;
  border-collapse: collapse;
  padding: 10px;
}

.hiddenRows {
  display: none;
}

#NoWidgets {
  text-align: center;
  margin-top: 200px;
}

.details h5,
.widgetContainer h5 {
  font-size: 10px;
  color: #a5c939 !important;
}


body.dark-layout .apexcharts-canvas text {
  fill: var(--fontColorDW);
  font-size: 9px !important;
  font-weight: normal !important;
}

.grid-stack-item-content {
  inset: 3px !important;
}
#btnApplyDateFilter {
  height: 20px;
  border-radius: 2px;
  margin-left: 7px;
  outline: none;
  font-size: 11px;
  border: none;
  background-color: #a1c523;
  color: white;
}
